Hi Guix,

I’ve just installed GuixSD from the latest release on a server and
wanted to upgrade, so I ran “guix pull”.

Unfortunately, this fails as it attempts to download “guile-git”, which
has been moved from https://gitlab.com/amirouche/guile-git/ to
https://gitlab.com/guile-git/guile-git/.

The result is this:

--8<---------------cut here---------------start------------->8---
Starting download of /tmp/guix-file.ii1CKK
>From https://git.savannah.gnu.org/cgit/guix.git/snapshot/master.tar.gz...
 ?.tar.gz                                   700KiB/s 00:20 | 13.4MiB transferred
unpacking '/gnu/store/7kr7jvwrk37nl7c29kn4kicmf8jl302g-guix-latest.tar.gz'...
Cloning into 
'/gnu/store/1rdw2svz4pyislan7q67mnk70c13sczm-guile-git-0.0-2.06f9fc3-checkout'...
remote: Project 'amirouche/guile-git' was moved to 'guile-git/guile-git'.
remote:
remote: Please update your Git remote and try again:
remote:
remote:   git remote set-url origin https://gitlab.com/guile-git/guile-git.git
fatal: repository 'https://gitlab.com/amirouche/guile-git/' not found
environment variable `PATH' unset
builder for 
`/gnu/store/3xp8ca3shq6dz849c0jy6qa3z231bmrw-guile-git-0.0-2.06f9fc3-checkout.drv'
 failed to produce output path 
`/gnu/store/1rdw2svz4pyislan7q67mnk70c13sczm-guile-git-0.0-2.06f9fc3-checkout'
cannot build derivation 
`/gnu/store/rl7ms8rmbywvydy4qf656g1sdfxafb7r-guile-git-0.0-2.06f9fc3.drv': 1 
dependencies couldn't be built
guix pull: error: build failed: build of 
`/gnu/store/rl7ms8rmbywvydy4qf656g1sdfxafb7r-guile-git-0.0-2.06f9fc3.drv' failed
--8<---------------cut here---------------end--------------->8---

I expect that anyone trying to upgrade from 0.13.0 will experience this
problem and be stuck at 0.13.0 unless they use Guix from git.  Can we do
something about this?

Why is guile-git built from source?  Can we download a substitute
instead?

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net


Reply via email to